clang-tools 10.0.0

Classes | Public Member Functions | Public Attributes | List of all members
clang::tidy::ClangTidyProfiling Class Reference

`#include <ClangTidyProfiling.h>`

Collaboration diagram for clang::tidy::ClangTidyProfiling:
[legend]

## Classes
struct | StorageParams

## Public Member Functions
| ClangTidyProfiling ()=default
| ClangTidyProfiling (llvm::Optional< StorageParams > Storage)
| ~ClangTidyProfiling ()

## Public Attributes
llvm::StringMap< llvm::TimeRecord > | Records

## Detailed Description

Definition at line 24 of file ClangTidyProfiling.h.

## Constructor & Destructor Documentation

## ◆ ClangTidyProfiling() [1/2]

clang::tidy::ClangTidyProfiling::ClangTidyProfiling | ( |  | ) |
| default

## ◆ ClangTidyProfiling() [2/2]

clang::tidy::ClangTidyProfiling::ClangTidyProfiling | ( | llvm::Optional< StorageParams > | Storage | ) |

Definition at line 79 of file ClangTidyProfiling.cpp.

## ◆ ~ClangTidyProfiling()

clang::tidy::ClangTidyProfiling::~ClangTidyProfiling | ( |  | ) |

Definition at line 82 of file ClangTidyProfiling.cpp.

References Records.

## Member Data Documentation

## ◆ Records

llvm::StringMap<llvm::TimeRecord> clang::tidy::ClangTidyProfiling::Records

Definition at line 47 of file ClangTidyProfiling.h.

Referenced by ~ClangTidyProfiling().

The documentation for this class was generated from the following files:

- ClangTidyProfiling.h
- ClangTidyProfiling.cpp